# C++ keyword: `extern`

From cppreference.com
< cpp‎ | keyword

### Usage

- static storage duration with external linkage specifier
- language linkage specification

- explicit template instantiation declaration (or "extern template")
  - for class templates
  - for function templates

(since C++11)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/keyword/extern&oldid=175125"